Cyberduck Mountain Duck CLI

#8230 new enhancement

Add support to run subsystem with sudo

Reported by: emattias Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: 4.5.2
Severity: normal Keywords: sudo sftp root
Cc: nils@benning.id Architecture:
Platform:

Description (last modified by emattias)

I often access servers, that I don’t control the configuration of, using cyberduck. They almost always are configured so that you can’t ssh as the root user. I do however have sudo access and sometimes need to switch to the root user to perform some actions.

I would save alot of time if I was able to do this using cyberduck. The windows SFTP client WinSCP has solved this, explained here:

Change History (14)

comment:1 Changed on Sep 18, 2014 at 1:07:58 PM by dkocher

  • Component changed from core to sftp
  • Description modified (diff)
  • Owner set to dkocher
  • Summary changed from Add support for the SFTP ability to sudo (as WinSCP does, for example) to Add support for the SFTP ability to sudo

comment:2 Changed on Sep 26, 2014 at 12:52:08 PM by kunda loves scribus

+1

comment:3 Changed on Sep 26, 2014 at 12:52:50 PM by emattias

  • Description modified (diff)

comment:4 Changed on Oct 14, 2014 at 1:08:03 PM by dkocher

Preference for subsystem name in r15360.

comment:5 Changed on Oct 24, 2014 at 2:02:43 PM by dkocher

  • Summary changed from Add support for the SFTP ability to sudo to Add support to run subsystem with sudo

comment:6 Changed on Dec 30, 2015 at 2:43:04 PM by dkocher

#9188 closed as duplicate.

comment:7 Changed on Feb 27, 2016 at 4:14:41 PM by dkocher

#9309 closed as duplicate.

comment:8 Changed on Oct 1, 2019 at 5:28:42 PM by dkocher

#10728 closed as duplicate.

comment:9 Changed on Mar 29, 2021 at 9:23:37 AM by dkocher

#11636 closed as duplicate.

comment:10 follow-up: Changed on Mar 29, 2021 at 9:26:55 AM by nihebe

Wow, this tickets roots back to 2014. Is there even a chance to implement this feature?

comment:11 in reply to: ↑ 10 Changed on Mar 29, 2021 at 10:32:54 AM by dkocher

Replying to nihebe:

Wow, this tickets roots back to 2014. Is there even a chance to implement this feature?

We will see that we can add support using a option in a custom connection profile.

comment:12 Changed on Mar 29, 2021 at 1:18:03 PM by dkocher

It not clear from the RFC this should work as the subsystem name must be predefined in the server configuration. As expected requesting a subsystem with a full path to the binary results in

sshd[24609]: subsystem request for /usr/libexec/openssh/sftp-server by user dkocher failed, subsystem not found

comment:13 Changed on Mar 30, 2021 at 7:31:10 AM by nihebe

Well, I would say the path should be configurable. It depends on the OS where the sftp-server binary is. For example, on a Debian 9 in my lab it is located at

/usr/lib/openssh/sftp-server

comment:14 Changed on Oct 1, 2021 at 6:08:59 PM by nihebe

  • Cc nils@benning.id added

Friendly bump on this topic :) It would still be a great improvement to the almost perfect Cyberduck. Do you see any problem in implementing the subsystem as a configurable parameter?

Note: See TracTickets for help on using tickets.